:root{
    /* Primary */
    --stron-cyan: hsl(172, 67%, 45%);

    /* Neutral */
    --very-dark-cyan: hsl(183, 100%, 15%);
    --dark-grayish-cyan-1: hsl(186, 14%, 43%);
    --dark-grayish-cyan-2: hsl(184, 14%, 56%);
    --light-grayish-cyan-1: hsl(185, 41%, 84%);
    --light-grayish-cyan-2: hsl(189, 41%, 97%);
    --white: hsl(0, 0%, 100%);
}

*{
    box-sizing: border-box;
}

body{
    font-size: 24px;
    font-family: 'Space Mono', monospace;
    background-color: var(--light-grayish-cyan-1);
}

.logo{
    margin-bottom: 3rem;
}

.container{
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.container > img{
    width: 5rem;
}

.calculator{
    border-radius: 1rem;
    width: 50%;
    padding: 2rem;
    display: flex;
    justify-content: space-between;
    background-color: var(--white);
}

.first{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 49%;
    /* border: 2px solid green; */
}

.heading > p{
    font-size: 0.9rem;
    /* margin-bottom: 1rem; */
}

.form{
    background-color: var(--light-grayish-cyan-2);
    border: none;
    height: 2rem;
    width: 100%;
    text-align: right;
    font-family: 'Space Mono', monospace;
    font-size: 1.2rem;
    color: var(--very-dark-cyan);
    font-weight: 700;
    outline: none;
}

.people > .content{
    display: flex;
    justify-content: space-between;
}

.error{
    width: 50%;
    color: red;
    display: none;
}

input[type=text]:focus {
    border: 3px solid var(--stron-cyan);
    border-radius: 0.2rem;
  }

.icon-person{
    position: relative;
    left: 10px;
    top: 30px
}

.icon-dollar{
    position: relative;
    left: 10px;
    top: 30px
}

.select-tip{
    /* order: 1; */
}

.percentage-buttons{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.percentage{
    width: 6.5rem;
    padding: 0.6rem;
    margin: 0.8rem 0 0 0;
    border: none;
    border-radius: 0.2rem;
    background-color: var(--very-dark-cyan);
    color: var(--white);
    font-weight: 700;
    font-family: 'Space Mono', monospace;
    font-size: 1rem;
}

.custom-input{
    margin-top: 0.8rem;
    border: none;
    font-size: 1.2rem;
    color: var(--very-dark-cyan);
    font-weight: 700;
    font-family: 'Space Mono', monospace;
    width: 32%;
    padding: 0.6rem;
    background-color: var(--light-grayish-cyan-2);
}


.second{
    width: 49%;
    padding: 1.5rem;
    /* border: 2px solid red; */
    border-radius: 0.6rem;
    display: flex;
    flex-direction: column;
    background-color: var(--very-dark-cyan);
    color: var(--white);
    font-size: 0.9rem;
}

.above{
    margin-bottom: 5rem;
}

.tip{
    display: flex;
    justify-content: space-between;
    padding: 1rem;
}

.total{
    padding: 1rem;
    display: flex;
    justify-content: space-between;
}

.title > :nth-child(2){
    font-size: 0.7rem;
    color: var(--stron-cyan);
}

.title > :nth-child(1){
    font-weight: 700;
}

.number{
    font-size: 2rem;
    font-weight: 700;
    color: var(--stron-cyan);
}

#reset{
    width: 100%;
    padding: 0.6rem;
    border-radius: 0.3rem;
    align-self: center;
    border: none;
    font-weight: 700;
    background-color: var(--stron-cyan);
}

